Get a document and its lifecycle
curl --request GET \
--url https://manuscript.example.com/api/v1/documents/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/documents/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/documents/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"externalId": "<string>",
"createdBy": {
"name": "<string>",
"email": "<string>"
},
"createdDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"publishedDate": "2023-11-07T05:31:56Z",
"inReviewDate": "2023-11-07T05:31:56Z",
"internalReviewStartedDate": "2023-11-07T05:31:56Z",
"externalReviewStartedDate": "2023-11-07T05:31:56Z",
"internalReviewCompletedDate": "2023-11-07T05:31:56Z",
"externalReviewCompletedDate": "2023-11-07T05:31:56Z",
"reviewCompletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"status": "<string>",
"templateName": "<string>",
"templateVersion": "<string>",
"type": "<string>",
"currency": "<string>",
"internalCoAuthors": [
{
"name": "<string>",
"email": "<string>"
}
],
"owner": {
"name": "<string>",
"email": "<string>"
},
"externalCoAuthors": [
{
"name": "<string>",
"email": "<string>"
}
],
"internalCollaborators": [
{
"name": "<string>",
"email": "<string>"
}
],
"externalCollaborators": [
{
"name": "<string>",
"email": "<string>",
"company": "<string>"
}
],
"entities": {},
"workflows": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Get a document and its lifecycle
Status plus the dated lifecycle, owner, co-authors, collaborators, entities and workflows.
GET
/
api
/
v1
/
documents
/
{Id}
Get a document and its lifecycle
curl --request GET \
--url https://manuscript.example.com/api/v1/documents/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/documents/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/documents/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"externalId": "<string>",
"createdBy": {
"name": "<string>",
"email": "<string>"
},
"createdDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"publishedDate": "2023-11-07T05:31:56Z",
"inReviewDate": "2023-11-07T05:31:56Z",
"internalReviewStartedDate": "2023-11-07T05:31:56Z",
"externalReviewStartedDate": "2023-11-07T05:31:56Z",
"internalReviewCompletedDate": "2023-11-07T05:31:56Z",
"externalReviewCompletedDate": "2023-11-07T05:31:56Z",
"reviewCompletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"status": "<string>",
"templateName": "<string>",
"templateVersion": "<string>",
"type": "<string>",
"currency": "<string>",
"internalCoAuthors": [
{
"name": "<string>",
"email": "<string>"
}
],
"owner": {
"name": "<string>",
"email": "<string>"
},
"externalCoAuthors": [
{
"name": "<string>",
"email": "<string>"
}
],
"internalCollaborators": [
{
"name": "<string>",
"email": "<string>"
}
],
"externalCollaborators": [
{
"name": "<string>",
"email": "<string>",
"company": "<string>"
}
],
"entities": {},
"workflows": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Authorizations
Response
OK